Bearer Bearer Token (JWT) administrator — masdoc.squad@masmovil.com
| Resource | Description |
|---|---|
| Customer Consents | Access to user consents |
| Configuration | Access to consents configuration |
| Securize | Access to securize data |
Bearer Bearer Token (JWT) administrator — masdoc.squad@masmovil.com
| Resource | Description |
|---|---|
| Customer Consents | Access to user consents |
| Configuration | Access to consents configuration |
| Securize | Access to securize data |
When the user queried is not present in the system, returns the mandatory statements consent tree. When the user is present, returns all the statements consent tree, and the current user consent metadata
PATH PARAMETERS
The string id related with one of available tenants/organizations
The customer identifier at CRM
QUERY PARAMETERS
Filters the subset of Consents that are going to be showed. They can be combined with each other. If two views containing shared consents are selected, the largest grouping will be displayed. If not specified, all consents configured will be showed. Allowed values are configured by the organization's administrator
Optional parameter indicating the length of the text of the requested consents. Possible values are: * `SHORT` - Returns the shortened version of the consent text. * `NORMAL` - Returns the default long text of the consent. * (not set) - Returns the normal consent text.
Filter consents by specific IDs. Returns only the requested consents and their parent hierarchy for context. Format: comma-separated list of consent IDs. **Interpretation rules:** - If a parent ID is requested: Returns the full family (parent + all children) with `read_only: false` - If only child IDs are requested: Returns the children with `read_only: false` and auto-includes their parents with `read_only: true` (for context only) - If both parent and child are requested: Treated as requesting the full family (all `read_only: false`) Can be combined with `view` filter (intersection/AND logic) and `choice` filter. Requested IDs that do not exist in the current configuration tree are ignored without causing any error. If none of the requested IDs exist, an empty array is returned in the consents response field.
Filter consents to be shown by existing choice. For example, if it is PENDING, only consents with choice in PENDING state will be showed. Can be combined together. Allowed values: PENDING, REJECTED, ACCEPTED
HEADER PARAMETERS
Language and country in locale format (defined in RFC 5646, which rely on the ISO 639) used to retrieve user consent texts. Not all values are available to all organizations. If Locale text it is not defined, a default locale text will be provided. Locale defined lists: * `es-ES` - Spanish language, country Spain * `eu-ES` - Basque language, country Spain * `en-ES` - English language, country Spain * `de-ES` - German language, country Spain * `ca-ES` - Catalan language, country Spain
The regulated sector where customer belongs to
The user's segment where the consent tree applies (replace x-sector deprecated header). Is mandatory sent at one of 'x-sector' or 'x-segment' headers.
OK Expected response for a non existing user consent
{
"locale": "es_ES",
"statements": [
{
"id": "C01",
"text": "Información comercial de productos y servicios de nuestro Grupo de empresas",
"choice": 1,
"description": "Pertenecemos a un Grupo de empresas que prestan productos y servicios de diversa naturaleza, tales como energía o servicios de valor añadido relacionados, por ejemplo, con la salud o seguros, de los que nos gustaría poder informarte.",
"choice_type": "OPT_IN",
"read_only": false,
"child_statements": []
},
{
"id": "C02",
"text": "Información comercial de productos y servicios de terceros",
"choice": 1,
"description": "Podemos llegar a acuerdos comerciales con terceros para ofrecer a nuestros clientes sus productos o servicios (tales como televisión, tecnología o seguros), habitualmente, con condiciones especiales. No te preocupes, no cedemos tus datos a estos terceros.",
"choice_type": "OPT_IN",
"read_only": false,
"child_statements": []
},
{
"id": "C03",
"text": "Información comercial, en base a mi perfil, adaptada a mis intereses y preferencias",
"choice": 1,
"description": "",
"choice_type": "OPT_IN",
"read_only": false,
"child_statements": []
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
statements* | object[] | Tree structure for consents and default choices where keys are identifiers | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
locale* | string | Locale. If text is not found, locale will be the organization default locale | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Accepted Expected response when consent's user exists
{
"locale": "es_ES",
"statements": [
{
"id": "C01",
"text": "Información comercial de productos y servicios de nuestro Grupo de empresas",
"choice": 1,
"description": "Pertenecemos a un Grupo de empresas que prestan productos y servicios de diversa naturaleza, tales como energía o servicios de valor añadido relacionados, por ejemplo, con la salud o seguros, de los que nos gustaría poder informarte.",
"choice_type": "OPT_IN",
"read_only": false,
"child_statements": []
},
{
"id": "C02",
"text": "Información comercial de productos y servicios de terceros",
"choice": 1,
"description": "Podemos llegar a acuerdos comerciales con terceros para ofrecer a nuestros clientes sus productos o servicios (tales como televisión, tecnología o seguros), habitualmente, con condiciones especiales. No te preocupes, no cedemos tus datos a estos terceros.",
"choice_type": "OPT_IN",
"read_only": false,
"child_statements": []
},
{
"id": "C03",
"text": "Información comercial, en base a mi perfil, adaptada a mis intereses y preferencias",
"choice": 1,
"description": "",
"choice_type": "OPT_IN",
"read_only": false,
"child_statements": []
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
statements* | object[] | Tree structure for consents and default choices where keys are identifiers | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
locale* | string | Locale. If text is not found, locale will be the organization default locale | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Request input is not valid
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized The user is not authorized
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found The specified resource was not found
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error The request failed to be processed by the server
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
x-keystringAllow operation key, it must be passed in consequent modification requests. This key can not be manipulated and should be sent as is received.
curl -X GET 'https://consents.masstack.com/v2/orgs/masmovil/customers/419024875567/consents?view=MANDATORY&display_format=SHORT&consent_ids=FRAUD_KYCMATCH_WHATSAPP%2CFRAUD_DEVICESWAP_WHATSAPP&choice=choice%3DPENDING' \
-H 'Accept-Language: es-ES' \
-H 'x-sector: telco' \
-H 'x-segment: telco' \
-H 'Accept: application/json' Creates or update a consent's user in the system with an array of selections and its metadata
PATH PARAMETERS
The string id related with one of available tenants/organizations
The customer identifier at CRM
HEADER PARAMETERS
Allow operation key
Language and country in locale format (defined in RFC 5646, which rely on the ISO 639) used to retrieve user consent texts. Not all values are available to all organizations. If Locale text it is not defined, a default locale text will be provided. Locale defined lists: * `es-ES` - Spanish language, country Spain * `eu-ES` - Basque language, country Spain * `en-ES` - English language, country Spain * `de-ES` - German language, country Spain * `ca-ES` - Catalan language, country Spain
The regulated sector where customer belongs to
The user's segment where the consent tree applies (replace x-sector deprecated header). Is mandatory sent at one of 'x-sector' or 'x-segment' headers.
Consent's user information and other metadata
{
"actor_id": "YC004315",
"selections": [
{
"id": "C01",
"choice": 0
},
{
"id": "C02",
"choice": 0
},
{
"id": "C03",
"choice": 2
}
],
"ip": "84.44.81.103",
"sell_channel": "eshop",
"trace_id": "12C148A",
"capture_date": "2021-05-21T17:32:28Z"
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
actor_id* | string | Information about what agent/system/user is setting consents | |||||||||||||||||
selections* | object[] | User cosents choices, in array format, chosen by the user | |||||||||||||||||
Array items:
| |||||||||||||||||||
ip* | string | IP address of the actor who modifies the user consents When the actor is, directly, the client who modifies their consents, it is important that ip is client ip address and not any kind of middleware system ip | |||||||||||||||||
sell_channel* | string | Starting point of the user consent acquisition Sell channel list: * `app` - App portfolio client * `appPopup` - App portfolio client popup * `ecare` - Private client area * `ecarePopup` - Private client area popup * `eshop` - Online web store acquisition client * `lpemail` - Email campaign landing page * `lpsms` - Sms campaign landing page * `mycrm` - Post sales portal, non presential phone sale * `mycrmPopup` - Post sales portal, non presential phone sales for portfolio clients * `myventa` - Sales portal, non presential phone sale * `pos` - Presential sale, seles portal in store * `renuevo` - Existing client, hiring another terminal * `televenta` - Sales portal, non presential phone sale * `topUps` - Presential sale, prepaid recharge machine in store * `vista` - CRM postsale * `vistaPopup` - CRM popup postsale * `webdealer` - Sales portal, presential, sale in store | |||||||||||||||||
trace_id* | string | Trazability info | |||||||||||||||||
capture_date* | string (date-time) | Date and time in ISO format | |||||||||||||||||
Created user consents created/updated. Expected response for a valid request
{
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string (uuid) | User consents unique identifier at Mas Consents |
Bad Request Request input is not valid
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized The user is not authorized
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found The specified resource was not found
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error The request failed to be processed by the server
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://consents.masstack.com/v2/orgs/masmovil/customers/419024875567/consents' \
-H 'x-key: 6b9c495a512cb4a7132a5afdd9f295f73dcfae7d70cd1aadc917625d392f8523' \
-H 'Accept-Language: es-ES' \
-H 'x-sector: telco' \
-H 'x-segment: telco' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"actor_id": "YC004315",
"selections": [
{
"id": "C01",
"choice": 0
},
{
"id": "C02",
"choice": 0
},
{
"id": "C03",
"choice": 2
}
],
"ip": "84.44.81.103",
"sell_channel": "eshop",
"trace_id": "12C148A",
"capture_date": "2021-05-21T17:32:28Z"
}' Delete user consents by sector
PATH PARAMETERS
The string id related with one of available tenants/organizations
The customer identifier at CRM
HEADER PARAMETERS
The regulated sector where customer belongs to
The user's segment where the consent tree applies (replace x-sector deprecated header). Is mandatory sent at one of 'x-sector' or 'x-segment' headers.
No Content Consents deleted successfully
Bad Request Request input is not valid
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized The user is not authorized
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found The specified resource was not found
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error The request failed to be processed by the server
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
x-keystringAllow operation key
curl -X DELETE 'https://consents.masstack.com/v2/orgs/masmovil/customers/419024875567/consents' \
-H 'x-sector: telco' \
-H 'x-segment: telco' \
-H 'Accept: application/json' When the user queried is not present in the system, returns 404. When the user is present, returns user consent metadata
PATH PARAMETERS
The string id related with one of available tenants/organizations
The customer identifier at CRM
HEADER PARAMETERS
The regulated sector where customer belongs to
The user's segment where the consent tree applies (replace x-sector deprecated header). Is mandatory sent at one of 'x-sector' or 'x-segment' headers.
OK Expected response for a existing consent user
{
"customer_id": "143589532625",
"impact": true
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
customer_id* | string | The customer identifier at CRM | ||
impact* | boolean | Define if user it is an impactable user. This is the field that will be taken into account for the launch of campaigns or popups for the capture of consents |
Bad Request Request input is not valid
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized The user is not authorized
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found The specified resource was not found
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error The request failed to be processed by the server
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://consents.masstack.com/v2/orgs/masmovil/customers/143589532625' \
-H 'x-sector: telco' \
-H 'x-segment: telco' \
-H 'Accept: application/json' Retrieves a list of all available consents for a specific organization with pagination and filtering options.
PATH PARAMETERS
The string id related with one of available tenants/organizations
QUERY PARAMETERS
Page number for pagination
Number of items per page
Filter by consent choice type (OPT_IN or OPT_OUT_NEGATIVE or OPT_OUT_POSITIVE)
Filter by consent identifier
OK List of available consents definitions retrieved successfully
{
"consents": [
{
"id": "DATA_PROCESSING",
"choice_type": "OPT_IN",
"consent": [
{
"language": "es",
"text": "Información comercial de servicios nuestros distintos a los contratados o de otras empresas del Grupo",
"description": "Pertenecemos a un Grupo de empresas que prestan productos o servicios de diversa naturaleza, tales como energía, telecomunicaciones, tecnológicos, servicios y equipos para el hogar, financieros o servicios de valor añadido relacionados, por ejemplo, con la salud o seguros o autoconsumo, habitualmente con descuentos o condiciones especiales para clientes del Grupo.",
"short_text": "Información de otros servicios contratados"
}
],
"subject": "john@masmovil.com",
"creation_date": "2023-12-15T08:23:13.000Z",
"expiration_policy": {
"duration": "P90D"
}
},
{
"id": "THIRD_PARTY",
"choice_type": "OPT_IN",
"consent": [
{
"language": "es",
"text": "Información comercial de productos y servicios de terceros",
"description": "Podemos llegar a acuerdos comerciales con terceros para ofrecer a nuestros clientes sus productos o servicios, habitualmente, con condiciones especiales.",
"short_text": "Información de productos de terceros"
}
],
"subject": "alice@masmovil.com",
"creation_date": "2023-12-14T15:42:31.000Z",
"expiration_policy": null
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
consents* | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Request input is not valid
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized The user is not authorized
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found The specified resource was not found
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error The request failed to be processed by the server
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://consents.masstack.com/v2/orgs/masmovil/consents?page=1&page_size=50&choice_type=OPT_IN&consent_id=C01' \
-H 'Accept: application/json' Creates a new consent definition for a specific organization.
PATH PARAMETERS
The string id related with one of available tenants/organizations
Consent definition
{
"id": "CONSENT01",
"type": "OPT_IN",
"expiration_policy": {
"duration": "P90D"
},
"consent": [
{
"language": "es",
"text": "Spanish text of the consent",
"description": "Spanish description of the consent",
"short_text": "Spanish short text of the consent"
},
{
"language": "en",
"text": "English text of the consent",
"description": "English description of the consent",
"short_text": "English short text of the consent"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | string | Consent definition unique identifier (normalized to uppercase without spaces and special characters) | maxLength: 200 | ||||||||||||||||||||||||||
type* | string | Consent statement choice type list: * `OPT_IN` - Text written in affirmative. May be in pending state * `OPT_OUT_NEGATIVE` - Text written in negative. It cannot be in pending state and must be represented with a checkbox * `OPT_OUT_POSITIVE` - Text written in affirmative. It cannot be in pending state and must be represented with a checkbox | |||||||||||||||||||||||||||
expiration_policy | object | Policy that defines the expiration behavior of a consent. Only applicable to OPT_IN consent types. | |||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||
consent* | object[] | Array of consent details for different locales | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Created Consent created successfully
{
"id": "C01",
"languages": [
"es",
"ca",
"eu"
]
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string | Consent definition unique identifier (normalized to uppercase without spaces and special characters) | maxLength: 200 | |
languages* | string[] | List of allowed languages to ask consent text for | minItems: 1 |
Bad Request Request input is not valid
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized The user is not authorized
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict The request could not be completed due to a conflict with the current state of the target resource
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error The request failed to be processed by the server
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://consents.masstack.com/v2/orgs/masmovil/consents' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"id": "CONSENT01",
"type": "OPT_IN",
"expiration_policy": {
"duration": "P90D"
},
"consent": [
{
"language": "es",
"text": "Spanish text of the consent",
"description": "Spanish description of the consent",
"short_text": "Spanish short text of the consent"
},
{
"language": "en",
"text": "English text of the consent",
"description": "English description of the consent",
"short_text": "English short text of the consent"
}
]
}' Get tenant consents for customers users
PATH PARAMETERS
The string id related with one of available tenants/organizations
QUERY PARAMETERS
Filters the subset of Consents that are going to be showed. They can be combined with each other. If two views containing shared consents are selected, the largest grouping will be displayed. If not specified, all consents configured will be showed. Allowed values are configured by the organization's administrator
Optional parameter indicating the length of the text of the requested consents. Possible values are: * `SHORT` - Returns the shortened version of the consent text. * `NORMAL` - Returns the default long text of the consent. * (not set) - Returns the normal consent text.
HEADER PARAMETERS
Language and country in locale format (defined in RFC 5646, which rely on the ISO 639) used to retrieve user consent texts. Not all values are available to all organizations. If Locale text it is not defined, a default locale text will be provided. Locale defined lists: * `es-ES` - Spanish language, country Spain * `eu-ES` - Basque language, country Spain * `en-ES` - English language, country Spain * `de-ES` - German language, country Spain * `ca-ES` - Catalan language, country Spain
The regulated sector where customer belongs to
The user's segment where the consent tree applies (replace x-sector deprecated header). Is mandatory sent at one of 'x-sector' or 'x-segment' headers.
OK Expected response for a non existing user consent
{
"statements": [
{
"id": "C01",
"choice": 0,
"choice_type": "OPT_IN",
"text": "Información comercial de servicios nuestros distintos a los contratados o de otras empresas del Grupo",
"description": "Pertenecemos a un Grupo de empresas que prestan productos o servicios de diversa naturaleza, tales como energía, telecomunicaciones, tecnológicos, servicios y equipos para el hogar, financieros o servicios de valor añadido relacionados, por ejemplo, con la salud o seguros o autoconsumo, habitualmente con descuentos o condiciones especiales para clientes del Grupo.",
"expiration_date": "2026-05-15T10:00:00.000Z",
"read_only": false,
"child_statements": [
{
"id": "C01",
"choice": 0,
"choice_type": "OPT_IN",
"text": "Información comercial de servicios nuestros distintos a los contratados o de otras empresas del Grupo",
"description": "Pertenecemos a un Grupo de empresas que prestan productos o servicios de diversa naturaleza, tales como energía, telecomunicaciones, tecnológicos, servicios y equipos para el hogar, financieros o servicios de valor añadido relacionados, por ejemplo, con la salud o seguros o autoconsumo, habitualmente con descuentos o condiciones especiales para clientes del Grupo.",
"expiration_date": "2026-05-15T10:00:00.000Z",
"read_only": false,
"child_statements": [
null
]
}
]
}
],
"locale": "es_ES"
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
statements* | object[] | Tree structure for consents and default choices where keys are identifiers | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
locale* | string | Locale. If text is not found, locale will be the organization default locale | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Request input is not valid
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized The user is not authorized
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found The specified resource was not found
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error The request failed to be processed by the server
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://consents.masstack.com/v2/orgs/masmovil/consents/customers?view=MANDATORY&display_format=SHORT' \
-H 'Accept-Language: es-ES' \
-H 'x-sector: telco' \
-H 'x-segment: telco' \
-H 'Accept: application/json' Updates an existing consent definition for a specific organization.
PATH PARAMETERS
The string id related with one of available tenants/organizations
The unique identifier of the consent definition to be updated
Consent definition update
{
"consent": [
{
"language": "es",
"text": "Información comercial de servicios nuestros distintos a los contratados o de otras empresas del Grupo",
"description": "Pertenecemos a un Grupo de empresas que prestan productos o servicios de diversa naturaleza, tales como energía, telecomunicaciones, tecnológicos, servicios y equipos para el hogar, financieros o servicios de valor añadido relacionados, por ejemplo, con la salud o seguros o autoconsumo, habitualmente con descuentos o condiciones especiales para clientes del Grupo.",
"short_text": "Información de otros servicios contratados"
}
],
"changes_description": "Added new language"
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
consent* | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
changes_description | string | Optional description of the changes made | maxLength: 200 | ||||||||||||||||||||||||||
OK Consent updated successfully
{
"id": "C01",
"locales": [
"es",
"ca",
"eu",
"ga",
"en"
]
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string | Consent definition unique identifier (normalized to uppercase without spaces and special characters) | maxLength: 200 | |
languages* | string[] | List of allowed languages to ask consent text for | minItems: 1 |
Bad Request Request input is not valid
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized The user is not authorized
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found The specified resource was not found
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error The request failed to be processed by the server
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PATCH 'https://consents.masstack.com/v2/orgs/masmovil/consents/C01' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"consent": [
{
"language": "es",
"text": "Información comercial de servicios nuestros distintos a los contratados o de otras empresas del Grupo",
"description": "Pertenecemos a un Grupo de empresas que prestan productos o servicios de diversa naturaleza, tales como energía, telecomunicaciones, tecnológicos, servicios y equipos para el hogar, financieros o servicios de valor añadido relacionados, por ejemplo, con la salud o seguros o autoconsumo, habitualmente con descuentos o condiciones especiales para clientes del Grupo.",
"short_text": "Información de otros servicios contratados"
}
],
"changes_description": "Added new language"
}' Retrieves all consent configuration trees for a specific tenant, filtered by segment and user type
PATH PARAMETERS
The string id related with one of available tenants/organizations
QUERY PARAMETERS
Filter by group of users where the consent tree applies to [ customers, leads ]
HEADER PARAMETERS
The user's segment where the consent tree applies (replace x-sector deprecated header). Is mandatory sent at one of 'x-sector' or 'x-segment' headers.
OK Consent configuration trees retrieved successfully
{
"trees": [
{
"segment": "telco",
"users_type": "customers",
"description": "Default Telco Configuration",
"default_language": "es",
"allowed_languages": [
"es",
"eu",
"en",
"ca"
],
"consents_order": [
"C01",
"C02",
"C03",
"C04",
"C05",
"C06",
"C07"
],
"priority_consent_ids": [
"data_processing",
"c01",
"c04",
"c10"
],
"views": [
{
"view": "MANDATORY",
"consents": [
"C01",
"C02",
"C03"
]
},
{
"view": "PORTFOLIO",
"consents": [
"C01",
"C02",
"C03",
"C04",
"C05",
"C06"
]
}
],
"dependencies": [
{
"father": "C01",
"child": [
"C02",
"C03",
"C04"
]
}
],
"channels": [
"channel_1",
"channel_2",
"web",
"movile"
],
"creation_subject": "john@tenant.com",
"creation_date": "2024-02-01T03:00:00.000Z"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
trees* | object[] | List of consent trees configurations | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Request input is not valid
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized The user is not authorized
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found The specified resource was not found
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error The request failed to be processed by the server
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
ETagstringComma-separated list of transaction ids necessary to modify any tree returned in this read operation
548d1e9f-159c-4223-a1fb-9c7d2a0da142,5c20565c-d16e-4b32-8ba7-519f909402b3curl -X GET 'https://consents.masstack.com/v2/orgs/masmovil/consents/tree?users_type=customers' \
-H 'x-segment: telco' \
-H 'Accept: application/json' Creates a new consent tree definition for a specific organization and user's segment.
PATH PARAMETERS
The string id related with one of available tenants/organizations
HEADER PARAMETERS
The user's segment where the consent tree applies
Consent tree definition
{
"description": "Telco Customers Configuration",
"default_language": "es",
"allowed_languages": [
"es",
"eu",
"en",
"ca"
],
"consents_order": [
"C01",
"C02",
"C03",
"C04",
"C05",
"C06",
"C07"
],
"priority_consent_ids": [
"C01",
"C02",
"C03"
],
"views": [
{
"view": "MANDATORY",
"consents": [
"C01",
"C02",
"C03"
]
},
{
"view": "PORTFOLIO",
"consents": [
"C01",
"C03",
"C02",
"C04",
"C05",
"C06"
]
}
],
"dependencies": [
{
"father": "C01",
"child": [
"C02",
"C03",
"C04"
]
}
],
"channels": [
"crm",
"agents",
"web",
"whatsapp",
"landing_web",
"landing_mobile"
],
"users_type": "customers"
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
description* | string | Description of the consent tree | maxLength: 200 | ||||||||||||||||
default_language* | string | Default locale for the consent tree | |||||||||||||||||
allowed_languages* | string[] | List of allowed languages to ask consent text for | minItems: 1 | ||||||||||||||||
consents_order* | string[] | Order of consents in the tree when visualized by user | minItems: 1 | ||||||||||||||||
priority_consent_ids* | string[] | List of priority consent Ids | minItems: 1 | ||||||||||||||||
views* | object[] | Different views (group of consents) for the consent tree | |||||||||||||||||
Array items:
| |||||||||||||||||||
dependencies | object[] | (Optional) Dependencies between consents | |||||||||||||||||
Array items:
| |||||||||||||||||||
channels* | string[] | Channels where the consent tree is applicable to be captured | minItems: 1 | ||||||||||||||||
users_type* | string | Type of users the consent tree applies to | |||||||||||||||||
No Content Consent tree created successfully (no content)
Bad Request Request input is not valid
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized The user is not authorized
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error The request failed to be processed by the server
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://consents.masstack.com/v2/orgs/masmovil/consents/tree' \
-H 'x-segment: telco' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"description": "Telco Customers Configuration",
"default_language": "es",
"allowed_languages": [
"es",
"eu",
"en",
"ca"
],
"consents_order": [
"C01",
"C02",
"C03",
"C04",
"C05",
"C06",
"C07"
],
"priority_consent_ids": [
"C01",
"C02",
"C03"
],
"views": [
{
"view": "MANDATORY",
"consents": [
"C01",
"C02",
"C03"
]
},
{
"view": "PORTFOLIO",
"consents": [
"C01",
"C03",
"C02",
"C04",
"C05",
"C06"
]
}
],
"dependencies": [
{
"father": "C01",
"child": [
"C02",
"C03",
"C04"
]
}
],
"channels": [
"crm",
"agents",
"web",
"whatsapp",
"landing_web",
"landing_mobile"
],
"users_type": "customers"
}' Updates an existing consent tree definition for a specific organization, user's segment, and user type. Requires ETag header for optimistic concurrency control.
PATH PARAMETERS
The string id related with one of available tenants/organizations
HEADER PARAMETERS
The user's segment where the consent tree applies
Transaction ID from the configuration tree GET response, used for optimistic concurrency control
Consent tree definition update
{
"description": "Updated Telco Configuration",
"default_language": "es",
"allowed_languages": [
"es",
"eu",
"en",
"ca"
],
"consents_order": [
"C01",
"C02",
"C03",
"C04",
"C05",
"C06"
],
"priority_consent_ids": [
"C01",
"C02"
],
"change_log": "Removed C07 consent",
"views": [
{
"view": "MANDATORY",
"consents": [
"C01",
"C02",
"C03"
]
},
{
"view": "PORTFOLIO",
"consents": [
"C01",
"C02",
"C03",
"C04",
"C05",
"C06"
]
}
],
"dependencies": [
{
"father": "C01",
"child": [
"C02",
"C03",
"C04"
]
}
],
"channels": [
"crm",
"agents",
"web",
"whatsapp",
"landing"
],
"users_type": "customers"
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
description* | string | Description of the consent tree | maxLength: 200 | ||||||||||||||||
default_language* | string | Default locale for the consent tree | |||||||||||||||||
allowed_languages* | string[] | List of allowed languages to ask consent text for | minItems: 1 | ||||||||||||||||
consents_order* | string[] | Order of consents in the tree when visualized by user | minItems: 1 | ||||||||||||||||
priority_consent_ids* | string[] | List of priority consent Ids | minItems: 1 | ||||||||||||||||
change_log* | string | Description of the changes made in this update | maxLength: 200 | ||||||||||||||||
views* | object[] | Different views (group of consents) for the consent tree | |||||||||||||||||
Array items:
| |||||||||||||||||||
dependencies | object[] | (Optional) Dependencies between consents | |||||||||||||||||
Array items:
| |||||||||||||||||||
channels* | string[] | Channels where the consent tree is applicable to be captured | minItems: 1 | ||||||||||||||||
users_type* | string | Type of users the consent tree applies to | |||||||||||||||||
No Content Consent tree updated successfully (no content)
Bad Request Request input is not valid
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized The user is not authorized
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found The specified resource was not found
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error The request failed to be processed by the server
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PUT 'https://consents.masstack.com/v2/orgs/masmovil/consents/tree' \
-H 'x-segment: telco' \
-H 'ETag: 548d1e9f-159c-4223-a1fb-9c7d2a0da142,5c20565c-d16e-4b32-8ba7-519f909402b3' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"description": "Updated Telco Configuration",
"default_language": "es",
"allowed_languages": [
"es",
"eu",
"en",
"ca"
],
"consents_order": [
"C01",
"C02",
"C03",
"C04",
"C05",
"C06"
],
"priority_consent_ids": [
"C01",
"C02"
],
"change_log": "Removed C07 consent",
"views": [
{
"view": "MANDATORY",
"consents": [
"C01",
"C02",
"C03"
]
},
{
"view": "PORTFOLIO",
"consents": [
"C01",
"C02",
"C03",
"C04",
"C05",
"C06"
]
}
],
"dependencies": [
{
"father": "C01",
"child": [
"C02",
"C03",
"C04"
]
}
],
"channels": [
"crm",
"agents",
"web",
"whatsapp",
"landing"
],
"users_type": "customers"
}' Retrieves the historical versions of consent tree configurations for a specific organization and segment, ordered chronologically in descending order
PATH PARAMETERS
The string id related with one of available tenants/organizations
QUERY PARAMETERS
Filter by group of users where the consent tree applies to [ customers, leads ]
Page number for pagination
Number of items per page
HEADER PARAMETERS
The user's segment where the consent tree applies
OK Consent tree history retrieved successfully
[
{
"version": "08ad0cd1-2a95-40b2-ab05-cf2c0bb33114",
"creation_date": "2025-07-01T11:00:00Z",
"audit_info": {
"audience": "masstack.auth.masmovil.com",
"subject": "john@masstack.com",
"change_log": "Añadido consentimiento C11 a la vista PORTFOLIO_OFFERS."
},
"segment": "telco",
"users_type": "customers",
"description": "Árbol de Consentimientos Telco Clientes V2",
"default_language": "es",
"allowed_languages": [
"es",
"en",
"gl",
"ca",
"eu"
],
"consents_order": [
"C03",
"C04",
"C01",
"C02",
"C11"
],
"priority_consent_ids": [
"C03",
"C01"
],
"views": [
{
"view": "MANDATORY",
"consents": [
"C03",
"C01"
]
},
{
"view": "PORTFOLIO_OFFERS",
"consents": [
"C01",
"C02",
"C11"
]
}
],
"dependencies": [
{
"father": "C03",
"child": [
"C04"
]
}
],
"captured_channels": [
"web",
"app"
]
},
{
"version": "0dbb2658-185d-4eca-8f95-0d2b3d0d1ba7",
"creation_date": "2025-02-10T15:00:00Z",
"audit_info": {
"audience": "masstack.auth.masmovil.com",
"subject": "john@masstack.com",
"change_log": "Versión inicial del árbol para clientes telco."
},
"segment": "telco",
"users_type": "customers",
"description": "Árbol de Consentimientos Telco Clientes V1",
"default_language": "es",
"allowed_languages": [
"es",
"en"
],
"consents_order": [
"C03",
"C04",
"C01",
"C02"
],
"priority_consent_ids": [
"C03",
"C01"
],
"views": [
{
"view": "MANDATORY",
"consents": [
"C03",
"C01"
]
},
{
"view": "PORTFOLIO_OFFERS",
"consents": [
"C01",
"C02"
]
}
],
"dependencies": [
{
"father": "C03",
"child": [
"C04"
]
}
],
"captured_channels": [
"web",
"app"
]
}
] | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
page* | integer | Current page number | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
page_size* | integer | Number of items per page | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
trees_history* | object[] | Array of historical consent tree configurations ordered in descending chronological order | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Request input is not valid
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized The user is not authorized
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error The request failed to be processed by the server
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://consents.masstack.com/v2/orgs/masmovil/consents/tree/history?users_type=customers&page=1&page_size=50' \
-H 'x-segment: telco' \
-H 'Accept: application/json' Retrieves a list of all historical consents definitions for a specific organization.
PATH PARAMETERS
The string id related with one of available tenants/organizations
The unique identifier of the consent definition to be updated
QUERY PARAMETERS
Page number for pagination
Number of items per page
OK List of historical consents definitions retrieved successfully
{
"page": 0,
"page_size": 50,
"consents": [
{
"version": "08ad0cd1-2a95-40b2-ab05-cf2c0bb33114",
"audit_info": {
"audience": "masstack.auth.masmovil.com",
"subject": "john@company.com",
"change_log": "Added new consent"
},
"creation_date": "2023-12-15T08:23:13.000Z",
"choice_type": "OPT_IN",
"expiration_policy": {
"duration": "P90D"
},
"consent": [
{
"language": "es",
"text": "Información comercial de servicios nuestros distintos a los contratados o de otras empresas del Grupo",
"description": "Pertenecemos a un Grupo de empresas que prestan productos o servicios de diversa naturaleza, tales como energía, telecomunicaciones, tecnológicos, servicios y equipos para el hogar, financieros o servicios de valor añadido relacionados, por ejemplo, con la salud o seguros o autoconsumo, habitualmente con descuentos o condiciones especiales para clientes del Grupo.",
"short_text": "Información de otros servicios contratados"
}
]
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
page* | integer | Current page number | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
page_size* | integer | Number of items per page | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
consents* | object[] | Array of historical consent definitions for the specified consent_id | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Request input is not valid
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized The user is not authorized
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error The request failed to be processed by the server
{
"errors": [
{
"code": "MCONS_CODE",
"title": "ERROR_TITLE",
"ref": "https://developers.masstack.com/en/docs/apis_consents_doc_swagger/2/schemas/#schemaerror",
"details": "Details of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://consents.masstack.com/v2/orgs/masmovil/consents/C01/history?page=1&page_size=50' \
-H 'Accept: application/json' Creates or update a consent's user in the system with an array of selections and its metadata
PATH PARAMETERS
The string id related with one of Grupo Masmovil tenants/organizations
Custom data to securize
{
"customer_id": "string",
"actor_id": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
customer_id* | string | |||
actor_id* | string |
Created Success response
{
"web_component_token": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
web_component_token* | string |
curl -X POST 'https://consents.masstack.com/v2/orgs/masmovil/securize' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"customer_id": "string",
"actor_id": "string"
}'